Bug 58407 - Call inserted images Figure rather than Illustration by default in caption
Summary: Call inserted images Figure rather than Illustration by default in caption
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Nickson Thanda
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Caption
  Show dependency treegraph
 
Reported: 2012-12-17 13:01 UTC by Milan Bouchet-Valat
Modified: 2018-09-07 09:34 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Bouchet-Valat 2012-12-17 13:01:39 UTC
When you right click on an inserted image and choose "Caption...", "Category" is "Illustration" by default. I don't think this is a good idea, as nobody calls images that way: most of the time, they are called "Figure".

This is a small change that improves the user experience by doing the right thing in the first place.


(This behavior has existed for as long as I can remember in OpenOffice and LibreOffice.)
Comment 1 Owen Genat (retired) 2013-05-14 08:18:36 UTC
I think there is good evidence to support this suggestion for captions of artwork. The default entry should read "Figure" rather than "Illustration" as the latter is widely regarded as a more generic term, often including tables. Here are references from a few prominent style manuals on definitions of these elements and captioning them:

APA Publication Manual 6th Edition
Only uses the term "Figure" throughout and uses the caption "Figure N".

Chicago Manual of Style 16th Edition
Uses the term "Illustration" throughout as a generic reference to all inclusions of artwork (but not tables). When explicitly referring to an instance (or example) the text used is "Figure" and all included images are captioned with "Figure N.N" in the manual itself. In §1.38 it states "In books containing various kinds of illustrations, the list [of illustrations] may be divided into sections headed, for example, Figures, Tables (see fig. 1.6), or Plates, Drawings, Maps." Under §2.25 the use of the "fig. N.N" form (as just quoted) for numbering illustrations is provided, and under §3.1 it states "Illustrations, also called figures, consist of artwork -which is to say, anything that is represented by means of an image [...] Illustrations, then, include paintings, photographs, line drawings, maps, charts, and examples from musical scores. This list is sometimes extended to include audio and video files ..." §§3.7-3.11 outlines numbering and captioning of illustrations using the form indicated i.e., "Figure N.N".

Oxford Guide to Style 2002
Employs similar definitions to Chicago i.e., "illustration" as a generic reference implying figures, drawings, and tables. Sometimes though it uses the expression "illustrations or figures". Under §1.2.12 it states "the list of illustrations enables the reader to locate all figures, plates, or maps in a work." Under §7.1 (general principles) it states "Do not use 'figure' where confusion between numbers and illustrations may result." Chapter 10, on illustrations, starts with "an illustration is any image prepared as artwork and printed in a text, together with a caption [...] a figure is an illustration integrated into the text, with text flowing above, below, and sometimes around it. A plate is an illustration separate from the text, often printed on glossy art paper." Under §10.2 on captioning it states "... the first illustration in Chapter 1 is Fig. 1.1, the second Fig 1.2, and so on. [...] In standard academic works 'Figure' is usually abbreviated in text references as well as in notes and parenthetical matter, in the caption itself, it is often styled in capitals and small capitals.

Prentice Hall Reference Guide 8th Edition
Uses the generic term "Visual" to refer to artwork. Under §4b it states "Visuals such as images, graphs, charts, and tables [...] Images such as photographs, diagrams, maps, and illustrations [...] Graphs and charts are used to illustrate data in visual form and explain relationships between items. [...] tables, which show relationships between items, ..." All examples, which include the forms chart, graph, map, flowchart, and table, are captioned "Figure N.N".

A Manual for Writers of Research Papers ... 7th Edition (Turabian)
Under §8.4 there is a note "we use the term 'graphics' to refer to all visual representations of evidence. Another term sometimes used for such representations is 'illustrations'. Traditionally, graphics are divided into 'tables' and 'figures'. A table is a grid with columns and rows that present data in numbers or words organized by categories. Figures are all other graphic forms, including graphs, charts, photographs, drawings, and diagrams. Figures that present quantitative data are divided into 'charts', typically consisting of bars, circles, points, or other shapes, and 'graphs', typically consisting of continuous lines." §26.3 expands a little on that list by stating "The term 'figure' refers to a variety of images, including charts, graphs, diagrams, photographs, maps, musical examples, and drawings.". Under §26.3.2 on figure numbers and captions it states "On the line below the figure, write the word 'Figure' (flush left, capitalized, in roman type), followed by the figure number (in arabic numerals), followed by a period. After a space, give the caption, usually followed by a terminal period [...] If you have many figures and many chapters, use double numeration: that is, the chapter number, followed by a period, followed by the figure number, as in 'Figure 12.4'."

In terms of flexibility and to cater for larger works including several different types of artwork I think the current Category list of "Drawing", "Illustration", "Table", and "Text" could be expanded. "Diagram", "Photograph", "Chart", "Graph", "Map", and "Score", in addition to the requested "Figure" would seem likely candidates. To re-iterate though, "Figure" should be the default.
Comment 2 Owen Genat (retired) 2014-06-29 04:08:46 UTC
Added bug 60360 to See Also list. Refer comment three and four in that bug for related l10n issue with term "Figure" being difficult to translate to some other languages. I feel it would be disappointing if an (automated?) l10n issue prevents this enhancement from gaining support.
Comment 3 Owen Genat (retired) 2014-07-02 06:15:00 UTC
Also worth looking at what is possible, with respect to a similar term change, as documented in bug 70998 (Graphic/Picture -> Image).
Comment 4 Dave Barton 2016-06-23 10:57:32 UTC
I have made this same comment on bug 88148. Rather than debating which should be the default option, according to this or that academic style, my view is that the default category should be made a user definable option (ie. an existing category, user defined string, or none). At the very least there needs to be a user defined default category, or an option to disable category additions to the caption.
Maybe this could even be extended into a fully user definable list of categories, but that's a different RFE.
Comment 5 Thomas Lendo 2017-12-13 07:24:57 UTC
Adding needsUXEval to ask if this old issue is still valid.
Comment 6 Heiko Tietze 2017-12-13 07:49:43 UTC
(In reply to Thomas Lendo from comment #5)
> Adding needsUXEval to ask if this old issue is still valid.

According Owen's elaborated analysis in comment 1, that corresponds with my APA based knowledge, the term Illustration is seldom used and most users have to add 'Figure' manually. Dave commented in #4 that simple renaming might have side-effects. Don't think UX can give more input here (as I stated recently on another ticket that messing up with lists in terms of changing the sort order or some magical pre-selection likely ends up in a mess).
Comment 7 Yousuf Philips (jay) (retired) 2017-12-13 18:37:27 UTC
What is used in the competition.

MS Word     : Figure [listbox item]
WordPerfect : Figure (auto inserted)
TextMaker   : Figure & Picture [listbox items]

Similar to TextMaker, we could easily add an additional entry in the combobox for 'Figure', and this would also be beneficial for interoperability.

I am in favour of using Figure by default based on Owen's comment 1 and Heiko's comment 6, but believe some additional logic needs to be added to the caption and option dialogs to ensure a good UX.

1. options dialog entry to set what the default entry should be. The dropdown list will have the entries 'Automatic' (default), 'Figure' and 'Illustration'.

2. logic in the caption dialog to handle what to do when the 'Automatic' entry is set in the options dialog. If the document doesn't have any image captions, then it automatically select the 'Figure' entry, while if the document has image captions, it will detect whether to automatically use 'Figure' or 'Illustration' based on the existing image captions already present.

We should also ideally add a 'Table of Figures' type to the Table of Contents dialog, which has 'Table of Figures' as the title, and 'Figure' as the category.
Comment 8 sophie 2017-12-14 10:02:32 UTC
(In reply to Yousuf Philips (jay) from comment #7)
> What is used in the competition.
> 
> MS Word     : Figure [listbox item]
> WordPerfect : Figure (auto inserted)
> TextMaker   : Figure & Picture [listbox items]
> 
> Similar to TextMaker, we could easily add an additional entry in the
> combobox for 'Figure', and this would also be beneficial for
> interoperability.
> 
> I am in favour of using Figure by default based on Owen's comment 1 and
> Heiko's comment 6, but believe some additional logic needs to be added to
> the caption and option dialogs to ensure a good UX.
> 
> 1. options dialog entry to set what the default entry should be. The
> dropdown list will have the entries 'Automatic' (default), 'Figure' and
> 'Illustration'.
> 
> 2. logic in the caption dialog to handle what to do when the 'Automatic'
> entry is set in the options dialog. If the document doesn't have any image
> captions, then it automatically select the 'Figure' entry, while if the
> document has image captions, it will detect whether to automatically use
> 'Figure' or 'Illustration' based on the existing image captions already
> present.
> 
> We should also ideally add a 'Table of Figures' type to the Table of
> Contents dialog, which has 'Table of Figures' as the title, and 'Figure' as
> the category.

In the AutoCaption dialog in Options, it's possible to set captions for all modules automatically, so would that fit for Calc, Draw, Base etc? Why don't call it Image, if it's what is inserted? Sophie
Comment 9 Yousuf Philips (jay) (retired) 2017-12-14 18:23:02 UTC
(In reply to sophie from comment #8)
> In the AutoCaption dialog in Options, it's possible to set captions for all
> modules automatically, so would that fit for Calc, Draw, Base etc?

These are for inserting particular objects into Writer and not all modules. Other modules dont have a caption feature.

> Why don't call it Image, if it's what is inserted? Sophie

'Illustration' is being used as the caption title for images, formulas, charts, etc.
Comment 10 Cor Nouws 2017-12-14 21:55:16 UTC
+ 1 - let's just do this.
Comment 11 Nickson Thanda 2018-03-28 00:40:18 UTC
I'm working on this.
Comment 12 Commit Notification 2018-04-03 22:04:14 UTC
Nickson Thanda committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=28012351ae273d41af548a29a14d9d842e66f6f6

tdf#58407 Inserted images are now called Figure by default in caption

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Yousuf Philips (jay) (retired) 2018-04-04 15:32:27 UTC
(In reply to Nickson Thanda from comment #11)
> I'm working on this.

You fixed the addition of the label to the dialog, but not the other issues mentioned in comment 7. Will you be doing them?
Comment 14 Nickson Thanda 2018-04-04 22:45:10 UTC
(In reply to Yousuf Philips (jay) (retired) from comment #13)
> (In reply to Nickson Thanda from comment #11)
> > I'm working on this.
> 
> You fixed the addition of the label to the dialog, but not the other issues
> mentioned in comment 7. Will you be doing them?

I see, I will work on implementing on the other issues that were raised. Sorry about that.
Comment 15 Samuel Mehrbrodt (CIB) 2018-04-12 12:44:56 UTC
I think this is fixed.
The requested features were:


> 1. options dialog entry to set what the default entry should be. The dropdown list will have the entries 'Automatic' (default), 'Figure' and 'Illustration'.

The last selected value in the insert caption dialog is saved and restored when reopening the dialog, so I think this is not needed.

> We should also ideally add a 'Table of Figures' type to the Table of Contents dialog, which has 'Table of Figures' as the title, and 'Figure' as the category.

This is already possible. Select "Illustration Index" in the Table of Contents dialog, then you can select "Figure" as category.
Comment 16 Gerhard Weydt 2018-09-07 09:21:13 UTC
This change obviously causes problems, see Bug #119738